<?
require 'config.php';
aut();
who_add(0,'enter');
$title='Мистер и Мисис чата|Мое фото';
head();

if($set['fotooff']!=1){echo 'Типа самый умный?:)';
}else{
if (empty($act))
{
if(mysql_result(mysql_query("SELECT count(*) FROM `kon_foto` WHERE `name` = '".$user['id']."'"),0)==0){
echo 'Размер загружаемого фото не должен привышать '.$set['size_photo'].' кб. Форматы: gif, jpg, jpeg, png.<br/>';}
if(isset($_GET['err']))
{
$err=intval($_GET['err']);
if($err==1)echo '<b>Недопустимое расширение файла!</b><br />';
elseif($err==2)echo '<b>Размер файла не должен превышать '.$set['size_photo'].' кб.</b><br/>';
elseif($err==3)echo '<b>Пустое описание!</b><br />';
elseif($err==4){
echo '<b>Ваше фото отправлено на модерацию!</b><br />';
echo gb.'<a href="'.H.'foto">Конкурс</a>'.div.gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
exit;
}
elseif($err==5)echo '<b>Вы не указали файл!</b><br/>';
elseif($err==6)echo '<b>Ваше фото на модерации!</b><br/>';
elseif($err==7)echo '<b>Вы уже участвуете в конкурсе!</b><br/>';
}
if(mysql_result(mysql_query("SELECT count(*) FROM `kon_foto` WHERE `name` = '".$user['id']."'"),0)==0){
echo '<form ENCTYPE="multipart/form-data" action="?act=act" method="post">
<b>Прикрепить фотку:</b><br/>
<INPUT NAME="file" TYPE="file" SIZE="20"><br/>
<b>Описание:</b><br />
<input name="msg" type="text" value=""><br />
<input type="submit" class="ibutton"  value="Отправить">
</form><br/>';
}
}
else
{
if(mysql_result(mysql_query("SELECT COUNT(id) FROM `kon_foto` WHERE `name` = '".$user['id']."' AND `mod` = '0'"),0)==1)
{
header('Location: ?err=6');
exit;
}
if(mysql_result(mysql_query("SELECT COUNT(id) FROM `kon_foto` WHERE `name` = '".$user['id']."' AND `mod` = '1'"),0)==1)
{
header('Location: ?err=7');
exit;
}
$msg=check($_POST['msg']);
if(empty($msg))
{
header('Location: ?err=3');
exit;
}
if(!isset($_FILES['file']))
{
header('Location: ?err=5');
exit;
}
$pictures = array('.gif', '.jpg', '.jpeg', '.png');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
$fnames=$_FILES['file']['name']; //имя
if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess"))
{
header ('Location: ?err=1&');
exit;
}
if(!in_array($ext, $pictures))
{
header ('Location: ?&err=1&');
exit;
}
if($_FILES['file']['size'] > (1024 * $set['size_photo']))
{
header ('Location: ?err=2&'.SID);
exit;
}
$foto = 'files/foto/photo_'.$user['id'].$ext;
@copy($_FILES['file']['tmp_name'], H.$foto);
@chmod(H.basename($foto), 0644);
mysql_query("INSERT INTO `kon_foto` (`id_foto`, `name`, `path`, `mod`, `opis`) values ('$user[sex]', '$user[id]', '$foto', '0', '$msg')");
header ('Location: ?err=4');
exit;
}
}
echo gb.'<a href="'.H.'foto">Конкурс</a>'.div.gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
?>